/* dev/pressure.h
 *
 * Pressure/door sensor.
 *
 * Copyright (C) 2003, 2004
 * Zorica Majdov <zmajdov@virtuoso.com>
 * Andy Goth     <unununium@openverse.com>
 *
 * This code is available under the GNU General Public License; see COPYING. */

#ifndef SEEN_DEV_PRESSURE_H
#define SEEN_DEV_PRESSURE_H

#include "lib/device.h"

/* Connects 'd' to a pressure sensor. */
extern int pressure_open(device_t* d);

#endif

/* vim: set ts=4 sts=4 sw=4 tw=80 et: */
/* EOF */
