# ss-gui/module.mk

PROGRAMS += $(DIR)/ss-gui

# Generate GUI source code from .fl file.
$(DIR)/fltk.cc $(DIR)/fltk.h: $(DIR)/fltk.fl
	fluid -c $(DIR)/fltk.cc $(DIR)/fltk.h $^

$(DIR)/fltk.o: $(DIR)/fltk.cc $(DIR)/fltk.h
	$(CXX) -c -o $@ $< $(CXXFLAGS) $(shell fltk-config --cxxflags)

$(DIR)/misc.o: $(DIR)/misc.cc $(DIR)/fltk.h
	$(CXX) -c -o $@ $< $(CXXFLAGS)

SRC-$(DIR)/ss-hw   := $(DIR)/fltk.cc $(DIR)/misc.cc
LIBS-$(DIR)/ss-hw  := $(shell fltk-config --libs) -lsqlite
# LLIBS-$(DIR)/ss-hw := evlist/evlist.a prjlibs/prjlibs.a

# vim: set ts=4 sw=4 tw=80 noet:
